<?php $object_name = CommonFunctions; ?>
<h1 class="methods" class="methods"><?php echo $object_name; ?></h1>

<?php include ('licence.html'); ?>


  <p class="caption">Description</p>
  <p class="syntax">Provides an interface for common functions.</p>
  <p class="caption">Syntax</p>
  <p class="syntax">interface = <?php echo $object_name; ?>() </p>

<p class="caption">Attributes</p>

<p class="caption">Methods</p>
<ul>
	<li><a href="#1">inv_SVD</a></li>
	<li><a href="#1">egesz_resz</a></li>
	<li><a href="#2">atom_megkulonbozteto</a></li>
	<li><a href="#3">atom_tipus</a></li>
	<li><a href="#4">paritas</a></li>
</ul>

<?php echo $method_name = "inv_SVD" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="1"></a></h2>
  <p class="syntax">Calculates the inverse of a badly conditioned matrix with SVD regularization.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> invA = interface.<?php echo $method_name; ?>( A ) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
A
</td>
<td class="parameter_values">
The matrix to be inverted.
</td>
</tr>
</table>

</br>

<table>
<tr>
<th colspan="2"> Return </th>
</tr>
<tr>
<td class="parameter_names">
invA
</td>
<td class="parameter_values">
The calculated inverse.
</td>
</tr>
</table>


  <br></br><br></br><br></br>



<?php echo $method_name = "egesz_resz" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="1"></a></h2>
  <p class="syntax">Calculates the integer part of a real number.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> y = interface.<?php echo $method_name; ?>( x ) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
x
</td>
<td class="parameter_values">
A real number.
</td>
</tr>
</table>

</br>

<table>
<tr>
<th colspan="2"> Return </th>
</tr>
<tr>
<td class="parameter_names">
y
</td>
<td class="parameter_values">
The integer part of x.
</td>
</tr>
</table>


  <br></br><br></br><br></br>




<?php echo $method_name = "atom_megkulonbozteto" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="2"></a></h2>
  <p class="syntax">Makes a difference between A and B type sites. (Can be used in hexagonal lattices.) --- Obsolete</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> ret = interface.<?php echo $method_name; ?>( resz_index_mtx,index_koord ) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
resz_index_mtx
</td>
<td class="parameter_values">
</td>
</tr>
<tr>
<td class="parameter_names">
index_koord
</td>
<td class="parameter_values">
</td>
</tr>
</table>

</br>

<table>
<tr>
<th colspan="2"> Return </th>
</tr>
<tr>
<td class="parameter_names">
ret
</td>
<td class="parameter_values">
The type of the site ("A" or "B")
</td>
</tr>
</table>

  <br></br><br></br><br></br>





<?php echo $method_name = "atom_tipus" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="3"></a></h2>
  <p class="syntax">Makes a difference between A and B type sites. (Can be used in hexagonal lattices.) --- Obsolete</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> ret = interface.<?php echo $method_name; ?>( idx_i,idx_j ) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
idx_i
</td>
<td class="parameter_values">
row index.
</td>
</tr>
<tr>
<td class="parameter_names">
idx_j
</td>
<td class="parameter_values">
column index.
</td>
</tr>
</table>

</br>

<table>
<tr>
<th colspan="2"> Return </th>
</tr>
<tr>
<td class="parameter_names">
ret
</td>
<td class="parameter_values">
The type of the site ("A" or "B")
</td>
</tr>
</table>


  <br></br><br></br><br></br>



<?php echo $method_name = "paritas" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="4"></a></h2>
  <p class="syntax">Determine the parity of a number.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> p = interface.<?php echo $method_name; ?>( x ) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
x
</td>
<td class="parameter_values">
An integer.
</td>
</tr>
</table>

</br>

<table>
<tr>
<th colspan="2"> Return </th>
</tr>
<tr>
<td class="parameter_names">
ret
</td>
<td class="parameter_values">
The parity of the input integer.
</td>
</tr>
</table>


  <br></br><br></br><br></br>



