<?php $object_name = Decimation; ?>
<h1 class="methods" class="methods"><?php echo $object_name; ?></h1>

<?php include ('licence.html'); ?>
  <p class="caption">Description</p>
  <p class="syntax">Returns a function handle to reduce the number of sites in the Hamiltonian via decimation procedure.</p>
  <p class="caption">Syntax</p>
  <p class="syntax">handle = Decimation(Opt, varargin)</p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
Opt
</td>
<td class="parameter_values">
Stucture containing the computational parameters. The required fields of the structure are the following:
  <ul>
      <li><p class="strucfield">Decimation</p> set 1 or 2 for algorithm <a href="#4">decimation_1_and_2</a>, or set 3 for algorithm <a href="#3">decimation_3</a></li>
      <li><p class="strucfield">Decimation_block</p> An integer value standing for the largest block of sites to be decimated together. (Decimation=1 implies Decimation_block=1).</li>
      <li><p class="strucfield">Silent</p> Set true to suppress the displaying of output messages.</li>
  </ul>
See more details about the data structure <a href="index.php?menu=structures&location=Structures#Opt">here</a>.
</td>
</tr>
<tr>
<td class="parameter_names">
varargin
</td>
<td class="parameter_values">
Optional parameters given by a sequence ...'name', value,... . Possible parameter names are the following:
  <ul>
      <li><p class="strucfield">ForcedDecimation</p>Set true to override the parameter Opt.Decimation to 3.</li>
  </ul>
</td>
</tr>
</table>



<p class="caption">Attributes</p>
<ul>
	<li><?php $method_name = "ForcedDecimation" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>Set true to override Opt.Decimation = 3.</li>
	<li><?php $method_name = "Opt" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>An instance of the structure <a href="index.php?menu=structures&location=Structures#Opt" >Opt</a></li>
</ul>



<p class="caption">Methods</p>
<ul>
	<li><a href="#3">decimation_3</a></li>
	<li><a href="#4">decimation_1_and_2</a></li>
</ul>

<h2 class="methods"><?php echo $object_name; ?>::decimation_3<a name="3"></a></h2>
<p class="caption">Description</p>
  <p class="syntax">Algorithm to reduce the number of the sites in the Hamiltonian via decimation. The number of the decimated sites in one turn varies dynamically in order to avoid badly conditioned matrices.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> handle(E, Way2Hamiltonian, NameOfH, NameOfKulso_szabfokok )</p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
E
</td>
<td class="parameter_values">
The energy used in the calculations.
</td>
</tr>
<tr>
<td class="parameter_names">
Way2Hamiltonian
</td>
<td class="parameter_values">
An instance of interface <a href="index.php?location=CreateHamiltoninans&menu=interfaces">CreateHamiltoninans</a>.
</td>
</tr>
<tr>
<td class="parameter_names">
NameOfH
</td>
<td class="parameter_values">
String containing the name of the Hamiltonian to be accessed by the "Read()" function of "Way2Hamiltonian" (Typically used "Hscatter").
</td>
</tr>
<tr>
<td class="parameter_names">
NameOfKulso_szabfokok
</td>
<td class="parameter_values">
String containing the name of the list of sites to be kept after the deciamtion. The list is obtained by the "Read()" function of "Way2Hamiltonian". (Typically used "kulso_szabfokok").
</td>
</tr>
</table>
  <br></br><br></br><br></br>





<h2 class="methods"><?php echo $object_name; ?>::decimation_1_and_2<a name="4"></a></h2>
<p class="caption">Description</p>
  <p class="syntax">Algorithm to reduce the number of sites in the Hamiltonian via decimation. The number of the decimated sites is fixed during the calculations.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> handle(E, Way2Hamiltonian, NameOfH, NameOfKulso_szabfokok )</p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
E
</td>
<td class="parameter_values">
The energy
</td>
</tr>
<tr>
<td class="parameter_names">
Way2Hamiltonian
</td>
<td class="parameter_values">
An instance of interface <a href="index.php?location=CreateHamiltoninans&menu=interfaces">CreateHamiltoninans</a>.
</td>
</tr>
<tr>
<td class="parameter_names">
NameOfH
</td>
<td class="parameter_values">
String containing the name of the Hamiltonian to be accessed by the "Read()" function of "Way2Hamiltonian" (Typically used "Hscatter").
</td>
</tr>
<tr>
<td class="parameter_names">
NameOfKulso_szabfokok
</td>
<td class="parameter_values">
String containing the name of the list of sites to be kept after the deciamtion. The list is obtained by the "Read()" function of "Way2Hamiltonian". (Typically used "kulso_szabfokok").
</td>
</tr>
</table>
  <br></br><br></br><br></br>

