<?php $object_name = Hex_Lead_Hamiltonians; ?>
<h1 class="methods" class="methods"><?php echo $object_name; ?></h1>

<?php include ('licence.html'); ?>


  <p class="caption">Description</p>
  <p class="syntax">Interface to create the Hamiltonian of one unit cell in a ribbon made of hexagonal lattice structure, including graphene and silicene.</p>
  <p class="caption">Syntax</p>
  <p class="syntax">object = Hex_Lead_Hamiltonians() </p>





<p class="caption">Methods</p>
<ul>
	<li><a href="#3">Silicene_Lead_Hamiltonians</a></li>
	<li><a href="#4">Graphene_Lead_Hamiltonians</a></li>
</ul>

<h2 class="methods"><?php echo $object_name; ?>::Silicene_Lead_Hamiltonians<a name="3"></a></h2>
  <p class="syntax">Creates the Hamiltonians H_0 and H_1 of silicene ribbon as well as the structure containing the coordinates of the atomic sites.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> [H0, H1, coordinates] = object.Silicene_Lead_Hamiltonians(lead_param, M, End_Type, Atom_Type) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
lead_param
</td>
<td class="parameter_values">
Structure containing the physical parameters of the ribbon. For details see the structure interface <a href="index.php?menu=structures&location=Structures#lead_param">lead_param<a/>.
</td>
</tr>
<tr>
<td class="parameter_names">
M
</td>
<td class="parameter_values">
For details see <a href="#4">Graphene_Lead_Hamiltonians</a>.
</td>
</tr>
<tr>
<td class="parameter_names">
End_Type
</td>
<td class="parameter_values">
For details see <a href="#4">Graphene_Lead_Hamiltonians</a>.
</td>
</tr>
<tr>
<td class="parameter_names">
Atom_Type
</td>
<td class="parameter_values">
For details see <a href="#4">Graphene_Lead_Hamiltonians</a>.
</td>
</tr>
</table>
</br>
<table>
<tr>
<th colspan="2"> Return </th>
</td>
<tr>
<td class="parameter_names">
H0
</td>
<td class="parameter_values">
The Hamiltonian of one slab in the ribbon.
</td>
</tr>
<tr>
<td class="parameter_names">
H1
</td>
<td class="parameter_values">
The coupling between the slabs.
</td>
</tr>
<tr>
<td class="parameter_names">
coordinates
</td>
<td class="parameter_values">
A structure <a href="index.php?menu=structures&location=Structures#coordinates">coordinates<a/> containing the coordinates of the sites. 
</td>
</tr>
</table>
  <br></br><br></br><br></br>




<h2 class="methods"><?php echo $object_name; ?>::Graphene_Lead_Hamiltonians<a name="4"></a></h2>
  <p class="caption">Description</p>
  <p class="syntax">Creates Hamiltonians H_0 and H_1 of silicene ribbon with zigzag edge as well as the structure containing the coordinates of the atomic sites. </p>
  <p class="caption">Syntax</p>
  <p class="syntax"> [H0, H1, coordinates] = object.Graphene_Lead_Hamiltonians(lead_param, M, End_Type, Atom_Type) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
lead_param
</td>
<td class="parameter_values">
Structure containing the physical parameters of the ribbon. For details see the structure interface <a href="index.php?menu=structures&location=Structures#lead_param">lead_param<a/>.
</td>
</tr>
<tr>
<td class="parameter_names">
M
</td>
<td class="parameter_values">
The width of the lead given by the number of sites in the cross section.
</td>
</tr>
<tr>
<td class="parameter_names">
End_Type
</td>
<td class="parameter_values">
Values are 'A' for zigzag edged ribbon, and 'Z' for armchair edged ribbon.
</td>
</tr>
<tr>
<td class="parameter_names">
Atom_Type
</td>
<td class="parameter_values">
The type of the first site at the position $$(1,1)$$ in the H_0 Hamiltonian (possible values are 'A' or 'B')
</td>
</tr>
</table>
</br>
<table>
<tr>
<th colspan="2"> Return </th>
</td>
<tr>
<td class="parameter_names">
H0
</td>
<td class="parameter_values">
The Hamiltonian of one slab in the ribbon.
</td>
</tr>
<tr>
<td class="parameter_names">
H1
</td>
<td class="parameter_values">
The coupling between the slabs.
</td>
</tr>
<tr>
<td class="parameter_names">
coordinates
</td>
<td class="parameter_values">
A structure <a href="index.php?menu=structures&location=Structures#coordinates">coordinates<a/> containing the coordinates of the sites. 
</td>
</tr>
</table>
  <br></br><br></br><br></br>
