<?php $object_name = "Instructions to install and run Favago TPI "; ?>

<h1 class="methods" class="methods">Description of <?php echo $lang['TPI']; ?> v<?php echo $lang['VERSION']; ?></h1>

<?php echo $lang['TPI']; ?> v<?php echo $lang['VERSION']; ?> is a free software distributed under the <a href="http://www.gnu.org/licenses/">GNU General Public License</a>.
<?php echo $lang['TPI']; ?> is designed for transport calculations implementing the equilibrium Greens function formalism developed in:
  <ul>
  		<li>S. Sanvito, C.~J. Lambert, J.~H. Jefferson and A. M. Bratkovsky, Phys. Rev. B <b>59</b>, 11936 (1999). </li>
  		<li>I. Rungger and S. Sanvito, Phys. Rev. B <b>78</b>, 035407 (2008).</li>
      <li>P. Rakyta, E. T&oacute;v&aacute;ri, M. Csontos, Sz. Csonka, A. Csord&aacute;s, J. Cserti, Phys. Rev. B <b>90</b>, 125428 (2014).</li>
  </ul>
<?php echo $lang['TPI']; ?> v<?php echo $lang['VERSION']; ?> comes with the following functionalities:
</br>
<table id="home" style="cell-spacing: 0px;">
<tr>
<td id="tdhome" style="width: 400px">
  <ul>
      <li><p class="strucfield">Spin and charge transport in normal/superconducting systems</p></li>
      <li><p class="strucfield">Multi-terminal structures</p></li>
      <li><p class="strucfield">Bogoliubov-de Gennes theory</p></li>
  </ul>
</td>
<td id="tdhome">
<p class="image" style="text-align: left;"><img src="images/focusing_geometry.jpg" width="400" alt="Peter Rakyta"/></p>
</td>
</tr>
<tr>
<td id="tdhome" style="width: 400px">
<p class="image" style="text-align: left;"><img src="images/geometry.jpg" width="400" alt="Peter Rakyta"/></p>
</td>
<td id="tdhome">
  <ul>
      <li><p class="strucfield">Efficient numerical approach for nontrivial structures</p></li>
	<li><p class="strucfield">Magnetic field and gauge transformation</p></li>
	<li><p class="strucfield">DC Josephson current</p></li>
  </ul>
</td>
</tr>
<tr id="trhome">
<td id="tdhome" style="width: 400px">
  <table id="home">
		<tr>
		<td id="tdhome" style="width: 250px">
			  <ul>
      			<li><p class="strucfield">Computing the energy and the wave function of the eigenstates</p></li>
  			</ul>
		</td>
		<td id="tdhome">
			<p class="image" style="text-align: left;"><img src="images/wavefunc.jpg" width="150" alt="Peter Rakyta"/></p>
		</td>
		</tr>
	</table>
</td>
<td id="tdhome">
<p class="image" style="text-align: left; margin-left: 50pt;"><img src="images/Josephson.jpg" width="250" alt="Peter Rakyta"/></p>
</td>
</tr>
</table>


<h1 class="methods" class="methods">References</h1>

We have used the <?php echo $lang['TPI']; ?> in the following calculations:
  <ul>
      <li>P. Rakyta, M. Vigh, A. Csord&aacute;s, and J. Cserti, Protected edge states in silicene antidots and dots in magnetic field, Phys. Rev. B <b>91</b>, 125412 (2015).</li>
      <li>P. Rakyta, E. T&oacute;v&aacute;ri, M. Csontos, Sz. Csonka, A. Csord&aacute;s, J. Cserti, Emergence of bound states in ballistic magnetotransport of graphene antidots, Phys. Rev. B <b>90</b>, 125428 (2014).</li>
      <li>P. Rakyta, A. Korm&aacute;nyos, J. Cserti, P. Koskinen, Exploring the graphene edges with coherent electron focusing, Phys. Rev. B <b>81</b>, 115411 (2010).</li>
  </ul>

<h1 class="methods" class="methods"><a name="contact_us">The team behind the <?php echo $lang['TPI']; ?></a></h1>
<table id="home">
<tr>
<td id="tdhome">
<p class="image"><img src="images/RP.jpg" width="120" alt="Peter Rakyta"/></p>
</td>
<td id="tdhome">
<p>Dr. Peter Rakyta</p>
<p>rakytap<img src="images/At-symbol-4.sm_1.jpg" style="noborder" width="15" height="15" alt="at_symbol"/>caesar.elte.hu</p>
<p>web: <a href="http://itl88.elte.hu/rakytap">http://itl88.elte.hu/rakytap</a></p>
</td>
</tr>
<tr>
<td id="tdhome">
<p class="image"><img src="images/CsJ.jpg" width="120" alt="Cserti Jozsef"/></p>
</td>
<td id="tdhome">
<p>Prof. J&oacutezsef Cserti</p>
<p>cserti<img src="images/At-symbol-4.sm_1.jpg" style="noborder" width="15" height="15" alt="at_symbol"/>elte.hu</p>
<p>web: <a href="http://complex.elte.hu/~cserti">http://complex.elte.hu/~cserti</a></p>
</td>
</tr>
<tr>
<td id="tdhome">
<p class="image"><img src="images/KA2.jpg" width="120" alt="Kormanyos Andor"/></p>
</td>
<td id="tdhome">
<p>Dr. Andor Korm&aacute;nyos</p>
<p>andor.kormanyos<img src="images/At-symbol-4.sm_1.jpg" style="noborder" width="15" height="15" alt="at_symbol"/>uni-konstanz.de</p>
<p>web: <a href="http://theorie.physik.uni-konstanz.de/burkard/group_members/andor_kormanyos">click here</a></p>
</td>
</tr>
</table>


