<?php $object_name = OverlapIntegrals; ?>
<h1 class="methods" class="methods"><?php echo $object_name; ?></h1>

<?php include ('licence.html'); ?>


  <p class="caption">Description</p>
  <p class="syntax">Provides an interface for applying the overlap integrals in the system.</p>
  <p class="caption">Syntax</p>
  <p class="syntax">interface = <?php echo $object_name; ?>() </p>

<p class="caption">Attributes</p>
<ul>
	<li><?php $method_name = "S_Hscatter" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>Overlap integrals in the scattering region.</li>
	<li><?php $method_name = "S_H0" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>Overlap integrals in the unit cell of the lead.</li>
	<li><?php $method_name = "S_H1" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>Overlap integrals of the coupling matrix in the lead.</li>
</ul>

<p class="caption">Methods</p>
<ul>
	<li><a href="#1">ApplyOverlapInScatter</a></li>
	<li><a href="#2">ApplyOverlapInLeads</a></li>
</ul>

<?php echo $method_name = "ApplyOverlapInScatter" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="1"></a></h2>
  <p class="syntax">Applies overlap integrals in the scattering region.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> interface.<?php echo $method_name; ?>( Way2Hamiltonian, E ) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
Way2Hamiltonian
</td>
<td class="parameter_values">
An instance of interface <a href="index.php?location=CreateHamiltoninans&menu=interfaces">CreateHamiltonians</a>.
</td>
</tr>
<tr>
<td class="parameter_names">
E
</td>
<td class="parameter_values">
The energy used in the calculations.
</td>
</tr>
</table>

  <br></br><br></br><br></br>




<?php echo $method_name = "ApplyOverlapInLeads" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="2"></a></h2>
  <p class="syntax">Disposes the loaded file.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> interface.<?php echo $method_name; ?>( Surface_tmp, E ) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
Surface_tmp
</td>
<td class="parameter_values">
An instance of interface <a href="index.php?location=Surface_Green_function&menu=interfaces">Surface_Green_function</a>.
</td>
</tr>
<tr>
<td class="parameter_names">
E
</td>
<td class="parameter_values">
The energy used in the calculations.
</td>
</tr>
</table>

  <br></br><br></br><br></br>


