<?php $object_name = ValidationFunctions; ?>
<h1 class="methods" class="methods"><?php echo $object_name; ?></h1>

<?php include ('licence.html'); ?>


  <p class="caption">Description</p>
  <p class="syntax">Provides an interface for validating variables for their usage in functions.</p>
  <p class="caption">Syntax</p>
  <p class="syntax">interface = <?php echo $object_name; ?>() </p>

<p class="caption">Methods</p>
<ul>
	<li><a href="#1">Validating_kx_and_ky</a></li>
	<li><a href="#2">ValidatingFieldNames</a></li>
</ul>


<?php echo $method_name = "Validating_kx_and_ky" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="1"></a></h2>
  <p class="syntax">Checking mesh grids kx and ky.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> ret = interface.<?php echo $method_name; ?>( kx, ky ) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
kx
</td>
<td class="parameter_values">
A meshgrid of real numbers.
</td>
</tr>
<tr>
<td class="parameter_names">
ky
</td>
<td class="parameter_values">
A meshgrid of real numbers.
</td>
</tr>
</table>

</br>

<table>
<tr>
<th colspan="2"> Return </th>
</tr>
<tr>
<td class="parameter_names">
ret
</td>
<td class="parameter_values">
Return with 0 if the arguments passed, 1 otherwise.
</td>
</tr>
</table>


  <br></br><br></br><br></br>




<?php echo $method_name = "ValidatingFieldNames" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="2"></a></h2>
  <p class="syntax">Checks the field names of a structure.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> ret = interface.<?php echo $method_name; ?>( expected_fieldnames, structure_name, structure, varargin ) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
expected_fieldnames
</td>
<td class="parameter_values">
Cells containing the expected field names.
</td>
</tr>
<tr>
<td class="parameter_names">
structure_name
</td>
<td class="parameter_values">
The name of the tested structure.
</td>
</tr>
<tr>
<td class="parameter_names">
structure
</td>
<td class="parameter_values">
The tested structure.
</td>
</tr>
<td class="parameter_names">
varargin
</td>
<td class="parameter_values">
Optional parameters given by a sequence ...'name', value,... . Possible parameters are:
  <ul class="style2list">
      <li><p class="strucfield">Isstruct</p> set 'On' to test whether the given "structure" is a structure or not.</li>
      <li><p class="strucfield">FieldNumber</p> set 'On' to test whether the length of expected field names is equal to the number of the fields in the given "structure".</li>
      <li><p class="strucfield">Ismember</p></li>
  </ul>
</td>
</tr>
</table>

</br>

<table>
<tr>
<th colspan="2"> Return </th>
</tr>
<tr>
<td class="parameter_names">
ret
</td>
<td class="parameter_values">
Return with 0 if the test passed, 1 otherwise.
</td>
</tr>
</table>

  <br></br><br></br><br></br>


