<?php $object_name = "Instructions to install and run Favago TPI "; ?>
<h1 class="methods" class="methods"><?php echo $object_name; ?><?php echo $lang['VERSION']; ?></h1>

<?php include ('licence.html'); ?>
  <p class="caption">System requirements</p>
  <p class="syntax"><?php echo $lang['TPI']; ?> v<?php echo $lang['VERSION']; ?> is compatible with MATLAB R2011b (7.13.0.564) or higher. Unfortunatelly, <?php echo $lang['TPI']; ?> v<?php echo $lang['VERSION']; ?> is not compatible with Octave 3.8.2.
  <p class="caption">Download</p>
  <p class="syntax">Download the <?php echo $lang['TPI']; ?> v<?php echo $lang['VERSION']; ?> from the list of provided <a href="index.php?location=Download">stable packages</a>. Altrenatively the <?php echo $lang['TPI']; ?> v<?php echo $lang['VERSION']; ?>  package can be downloaded by the shell command</p> <p class="syntax">wget http://itl88.elte.hu/favago/Download/Favago_TPI_v<?php echo $lang['VERSION']; ?>.tar.gz </p>
  <p class="caption">Unpack</p>
  <p class="syntax">Unpack the downloaded package into the directory "/path/to/favago" the commands </p>
  <p class="syntax">mkdir /path/to/favago</p>
  <p class="syntax">and</p>
  <p class="syntax"> tar -xzf Favago_TPI_v<?php echo $lang['VERSION']; ?>.tar.gz -C /path/to/favago</p>
  <p class="syntax"> to create the output directory and unpack the package respectively.</p>
  <p class="caption">Install</p>
  <p class="syntax">Add the directories "/path/to/favago" and "/path/to/favago/utils" to the search path of MATLAB. To this end open the file pathdef.m and add the following lines:</p> <p class="syntax">'/path/to/favago:', ...</p>
<p class="syntax">'/path/to/favago/utils:', ...</p>
<p class="syntax">Alternatively use the built-in function <a href="http://www.mathworks.com/help/matlab/ref/addpath.html">addpath</a> in MATLAB. Now the <?php echo $lang['TPI']; ?> v<?php echo $lang['VERSION']; ?> package is successfully installed.</p>


<p class="caption">The structure of <?php echo $lang['TPI']; ?> v<?php echo $lang['VERSION']; ?></p>
<p class="syntax"><?php echo $lang['TPI']; ?> v<?php echo $lang['VERSION']; ?> is organized into interfaces. Each interface has a separated workspace consisting of
related variables (e.g., the surface Greens function, the propagating and evanescent modes, the group velocities are grouped into one workspace if they belong to the same lead.). 
The interfaces also provide several methods to run specific calculations on the variables of the workspace. The interfaces form two levels of abstraction.
The members of the 1st level (/root) are responsible for specific elementary tasks, while the interfaces of the 2nd level (/root/utils) combine the functionalities of the 1st level interfaces, and can be used as the building blocks of the studied structure.</p>

<p class="caption">Run the <?php echo $lang['TPI']; ?> v<?php echo $lang['VERSION']; ?></p>
<p class="syntax">Several executable examples are provided in the directory "/path/to/favago/Examples". </p>
