%    Favago Transport Programming Interface - Modeling electric transport processes in the linear response regime.
%    Copyright (C) 2009-2015 Peter Rakyta, Ph.D.
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see http://www.gnu.org/licenses/.
function [Conduktance_matrix,S_matrix,G,nyitott_csatornak] = Favago(energy,fileszam)



ido     = cputime;ido0 = ido;

filename = [pwd,  '/Basic_Input_zigzag_leads.xml'];
[ Opt, Scanning, param ] = parseInput( filename );


if Scanning.scanning_parameter == 0 % nincs kontroll parameter
    
    Scanning.type_of_scanning              = []; % indiferent parameter value
    parameter                              = energy;
    [Conduktance_matrix, S_matrix, G, nyitott_csatornak] = Four_Leads(energy,Opt, param, Scanning, parameter);
    
    
elseif Scanning.scanning_parameter == 1 || Scanning.scanning_parameter == 2 % szkeneles
    
    
    
    %----------------------------------------------------------------------
    if Scanning.scanning_parameter == 1
        parameter = Scanning.lower_bound + Scanning.step * (1:Scanning.number_of_steps);
        save(['Control_Parameters_',num2str(fileszam),'.txt'], 'parameter', '-ASCII');
    elseif Scanning.scanning_parameter == 2
        parameter = load(['Control_Parameters_',num2str(fileszam),'.txt']);
    end
    Idx = length(parameter);
    %----------------------------------------------------------------------
    
   
    if Opt.Hscatter == 0 || Opt.Hcoupling == 0 || Opt.Hleads == 0
        if ~isempty(Scanning.type_of_scanning)
          original_value = Scanning.type_of_scanning;
          Scanning.type_of_scanning = [];  % indiferent parameter value
        end
        
        [Conduktance_matrix,S_matrix,G,nyitott_csatornak] = Four_Leads(energy, Opt, param, Scanning);
        Conduktance_matrix
        Opt.Hscatter  = 1;
        Opt.Hcoupling = 1;
        Opt.Hleads    = 1;
        
        if isempty(Scanning.type_of_scanning) 
          Scanning.type_of_scanning = original_value;
        end        
        
    end
    
    %----------------------------------------------------------------------
    Favago_Result = cell(1,Idx);
    %----------------------------------------------------------------------
    
    
    %----------------------------------------------------------------------
    idx = 1;
    while idx <= Idx
        [Conduktance_matrix,S_matrix,G,nyitott_csatornak] = Four_Leads(energy,Opt, param, Scanning, parameter(idx));
        Favago_Result{idx} = struct('Conduktance_matrix', Conduktance_matrix, 'parameter', parameter(idx), 'nyitott_csatornak', nyitott_csatornak, 'ido', cputime-ido);
        Conduktance_matrix
        save(['Favago_Result_',num2str(fileszam),'.mat'],'Favago_Result')
        ido = cputime;  
        idx = idx + 1;
    end
    %----------------------------------------------------------------------
    
    
    
    ido = cputime - ido0;
    disp(['Az eltelt ido = ',num2str(ido)]);
    
    
           
end




end
