%    Favago Transport Programming Interface - Modeling electric transport processes in the linear response regime.
%    Copyright (C) 2009-2015 Peter Rakyta, Ph.D.
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see http://www.gnu.org/licenses/.
function [Conductance_Matrix, S, G, nyitott_csatornak] = Four_Leads(E, Opt, param)



FL_handles = Transport_Interface(E, Opt, param);

FL_handles.ScatterCalc();
FL_handles.HoppingCalc();
FL_handles.LeadCalc();
G                      = FL_handles.DysonEq();
[S, nyitott_csatornak] = FL_handles.SmatrixCalc();
Conductance_Matrix     = FL_handles.Conduktance();


end %Global end
