%%    Favago Transport Programming Interface - Messages
%    Copyright (C) 2009-2015 Peter Rakyta, Ph.D.
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see http://www.gnu.org/licenses/.
%
%  Returns an interface containing of methodes for displaying several standard messages.
%%
function handles = Messages


handles.BadInputType = @BadInputType;
handles.BadInputTypeNoDefault = @BadInputTypeNoDefault;
handles.ExceedIteration = @ExceedIteration;


%% BadInputType
% Throws a "bad input type" warning.
    function BadInputType(object,type)
           warning('MATLAB:BadArgument',['Argument "',object,'" is not a(an) ',type,'. Setting it to default.']);
    end

%% BadInputTypeNoDefault
% Throws a "bad input type" warning without setting it to default.
    function BadInputTypeNoDefault(object,type)
           warning('MATLAB:BadArgument',['Argument "',object,'" is not a(an) ',type,'.']);
    end


%% ExceedIteration
% Throws an "iteration exceeded" warning.
    function ExceedIteration()
           warning('MATLAB:IterExceed','Number of iteration steps reached its limit. Return with initial values!');
    end




end
